#!/bin/bash

srcdir=./csv
destdir=./catgen_input

date

mkdir $destdir

IFS=$'\n'
for f in $(ls -1 $srcdir/GaiaSource_*.csv.gz) ; do
  outf=${f/csv.gz/txt}
  outf=${outf/$srcdir/$destdir}
  echo $f
  gunzip --stdout $f | tail -n+2 | awk '{split($0,a,","); printf "%-20s %-22s %-22s %-22s\n",a[2],a[5],a[7],a[52]}' > $outf
done

date
